> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Error Types

> Learn about the different error types in Corbado's API

Corbado's Backend API uses standard HTTP status codes along with specific error types to provide detailed information about what went wrong with your request. Each error response includes an error type and a descriptive message to help you understand and resolve the issue.

## internal\_error

The error type `internal_error` is used when some internal error occurred at Corbado. You can retry your request but usually there is nothing you can do about it. All internal errors get logged and will trigger an alert to our operations team which takes care of the situation as soon as possible.

## not\_found

The error type `not_found` is used when you try to get a resource which cannot be found. Most common case is that you provided a wrong ID.

## method\_not\_allowed

The error type `method_not_allowed` is used when you use a HTTP method (GET for example) on a resource/endpoint which it not supports.

## validation\_error

The error type `validation_error` is used when there is validation error on the data you provided in the request payload or path. There will be detailed information in the JSON response about the validation error like what exactly went wrong on what field.

## project\_id\_mismatch

The error type `project_id_mismatch` is used when there is a project ID you provided mismatch.

## login\_error

The error type `login_error` is used when the authentication failed. Most common case is that you provided a wrong pair of project ID and API secret. As mentioned above we use HTTP Basic Auth for authentication.

## invalid\_json

The error type `invalid_json` is used when you send invalid JSON as request body. There will be detailed information in the JSON response about what went wrong.

## rate\_limited

The error type `rate_limited` is used when ran into rate limiting of the Corbado Backend API. Right now you can do a maximum of **2000 requests** within **10 seconds** from a **single IP**. Throttle your requests and try again. If you think you need more contact [support@corbado.com](mailto:support@corbado.com).

## invalid\_origin

The error type `invalid_origin` is used when the API has been called from a origin which is not authorized (CORS). Add the origin to your project at [https://app.corbado.com/app/settings/credentials/authorized-origins](https://app.corbado.com/app/settings/credentials/authorized-origins).

## already\_exists

The error type `already_exists` is used when you try create a resource which already exists. Most common case is that there is some unique constraint on one of the fields.
